-- ------------------------------
-- Update des tables PoshProfile
-- ------------------------------

\r poshprofile
-- Extension des champs de type URL (#1400)
ALTER TABLE `thumb` CHANGE `url` `url` VARCHAR( 500 ) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'url de l application associée à  l onglet';
ALTER TABLE `desktopitem` CHANGE `url` `url` VARCHAR( 500 ) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'url de l application associée au bouton';
ALTER TABLE `desktopitem` CHANGE `icon` `icon` VARCHAR( 250 ) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'icone du bouton';
-- On met à jour les adresses de l'ead, du bureau et du gestionnaire de profile
UPDATE `thumb` SET `url`="/posh/portal/desktop.php" WHERE `name`='desktop';
%if %%is_defined('posh_url')
UPDATE `thumb` SET `url`="https://%%posh_url:7070/" WHERE `name`='admin-profil';
%if %%posh_url == %%adresse_ip_eth0
UPDATE `thumb` SET `url`="https://%%posh_url:4200/connect/?server=1" WHERE `name`='ead2';
%elif (%%is_defined('scribe_envole_reverseproxy') and %%scribe_envole_reverseproxy == 'oui')
UPDATE `thumb` SET `url`="https://%%posh_url:%%port_ead/connect/?server=1" WHERE `name`='ead2';
%else
UPDATE `thumb` SET `url`="https://%%posh_url:4200/connect/?server=1" WHERE `name`='ead2';
%end if
%end if
INSERT IGNORE INTO `thumb` (`name`, `description`, `indice`, `poshtype`, `url`, `admin_profile_id`) VALUES ('statistiques', 'Statistiques', 4, 2, '/piwik2/', '-1');
DROP PROCEDURE IF EXISTS InsertThumbIntoProfile;
delimiter |
CREATE PROCEDURE InsertThumbIntoProfile(_name VARCHAR( 32 ), _profile_name VARCHAR( 32 ))
begin
    DECLARE idstat int(5) default 0;
    DECLARE idprofile int(5) default 0;
    SELECT thumbid FROM `thumb` WHERE `name`=_name INTO idstat;
    SELECT profileid FROM `profile` WHERE name=_profile_name INTO idprofile;
    if idstat > 0 THEN INSERT IGNORE INTO `profilethumb` (profileid,thumbid) VALUES (idprofile, idstat);
    END IF;
end|
delimiter ;
CALL InsertThumbIntoProfile('statistiques', 'administrateur');
DROP PROCEDURE IF EXISTS InsertThumbIntoProfile;
-- --------------------------------------------------------------------
-- On teste l'activation des applications et on rajoute éventuellement
-- --------------------------------------------------------------------
SET character_set_client = utf8;
DROP PROCEDURE IF EXISTS InsertDesktopItem;
delimiter |
CREATE PROCEDURE InsertDesktopItem(_name VARCHAR( 32 ) , _libelle VARCHAR( 32 ), _url VARCHAR( 150 ), _icon VARCHAR(150))
begin
    DECLARE compteur int(5) default 0;
    SELECT count(*) FROM `desktopitem` WHERE `name`=_name INTO compteur;
    IF compteur < 1 THEN INSERT INTO `desktopitem` (name, libelle, url, icon) VALUES (_name, _libelle, _url, _icon);
    END IF;
end|
delimiter ;
CALL InsertDesktopItem('mail', 'Mes<br />e-mails', '/mail', '/posh/includes/plugins/plugin_desktop/icones/mail.png');
%if %%is_defined('scribe_envole_moodle') and %%scribe_envole_moodle == 'oui'
CALL InsertDesktopItem('moodle', 'Cours <br />en ligne', '/moodle', '/posh/includes/plugins/plugin_desktop/icones/moodle.gif');
%end if
%if %%is_defined('scribe_envole_gepi') and %%scribe_envole_gepi == 'oui'
CALL InsertDesktopItem('gepi', 'Gestion <br />des notes', '/gepi', '/posh/includes/plugins/plugin_desktop/icones/gepi.png');
%end if
%if %%is_defined('apache_eva') and %%apache_eva == 'oui'
CALL InsertDesktopItem('eva', 'Site <br />internet', '/eva', "/posh/includes/plugins/plugin_desktop/icones/eva.png");
%end if
%if %%is_defined('apache_gibii') and %%apache_gibii == 'oui'
CALL InsertDesktopItem('gibii', 'B2i', '/gibii', '/posh/includes/plugins/plugin_desktop/icones/b2i.gif');
%end if
%if %%is_defined('ftp_perso') and %%ftp_perso == 'oui'
%if %%is_defined('webshare') and %%scribe_envole_webshare == 'oui'
CALL InsertDesktopItem('webshare', 'Mes<br />dossiers', "/webshare/", '/posh/includes/plugins/plugin_desktop/icones/dir.png');
%end if
%if %%is_defined('scribe_envole_ajaxplorer') and %%scribe_envole_ajaxplorer == 'oui'
CALL InsertDesktopItem('ajaxplorer', 'Mes<br />dossiers', "/ajaxplorer/", '/posh/includes/plugins/plugin_desktop/icones/dir.png');
%end if
%end if
%if %%is_defined('scribe_envole_dokuwiki') and %%scribe_envole_dokuwiki == 'oui'
CALL InsertDesktopItem('dokuwiki', 'Wiki', '/dokuwiki/', '/posh/includes/plugins/plugin_desktop/icones/dokuwiki.gif');
%end if
%if %%is_defined('cdt') and %%cdt =='oui'
CALL InsertDesktopItem('cdt', 'Cahier <br />de texte', '/cdt', '/posh/includes/plugins/plugin_desktop/icones/cdt.png');
%end if
%if %%is_defined('grr') and %%grr == 'oui'
CALL InsertDesktopItem('grr', 'Gestion de <br />ressources', '/grr', '/posh/includes/plugins/plugin_desktop/icones/grr.png');
%end if
%if %%is_defined('calendar') and %%calendar == 'oui'
CALL InsertDesktopItem('calendar', 'Calendrier', '/calendar', '/posh/includes/plugins/plugin_desktop/icones/office-calendar.png');
%end if
%if %%is_defined('scribe_envole_taskfreak') and %%scribe_envole_taskfreak == 'oui'
CALL InsertDesktopItem('taskfreak', 'Gestion des<br/>tâches', "/taskfreak/", '/posh/includes/plugins/plugin_desktop/icones/taskfreak.png');
%end if
drop PROCEDURE InsertDesktopItem;
