#-*-coding:utf-8-*-
"""
    Configuration de l'update de la base posh vers la version 2.2.4 (récupéré depuis le plugin du même nom)
"""
from posh.config.config import profile_db_pwd
from eolesql.config import dico_creole

QUERY = "SELECT value FROM `adm_config` WHERE parameter='POSHVERSION'"
DB = "posh"
FILENAMES = ['/usr/share/eole/applications/updates/posh2.2.4/update_db_posh2.2.4.sql',
             '/usr/share/eole/applications/updates/posh2.2.4/update_db_posh_eole.sql']

def test_response(result):
    """
        Renvoie True si il faut mettre la base à jour
    """
    poshversion = result[0][0]
    return dico_creole.get('posh', 'non') == 'oui' and \
                           poshversion < '2.2.4'

conf_dict = dict(condition_query=QUERY,
                 expected_response=test_response,
                 db=DB,
                 filenames=FILENAMES,
                 version='2.2.4'
                 )
