-- - Mise à jour de la table de configuration
\r posh

-- Correction bug_356 : ajout de la possibilité de désactiver le réseau social
DROP PROCEDURE IF EXISTS SetEditable;
DROP PROCEDURE IF EXISTS ActivePlugin;

DELIMITER |
CREATE PROCEDURE SetEditable(_name VARCHAR( 32 ), _editable tinyint(1))
BEGIN
    -- Au sein d'une procédure on se doit de gérer les encodages correctement
    set @_name = _name collate utf8_unicode_ci;
    UPDATE `adm_config` SET `editable`=_editable WHERE `parameter`=@_name;
END|

CREATE PROCEDURE ActivePlugin(_name VARCHAR( 32 ), _link VARCHAR( 60 ))
BEGIN
	DECLARE _nblignue INTEGER; 
	
	SET @_name = _name collate utf8_unicode_ci;
	SET @_link = _link collate utf8_unicode_ci;
	
	SELECT COUNT(*) INTO _nblignue FROM adm_plugins WHERE name=@_name;
	IF _nblignue = 0 THEN
		INSERT INTO adm_plugins (name, link, dependency, status, forced) VALUES(@_name,_link,'no','O','1');
	ELSE
		UPDATE adm_plugins SET name=@_name, link=@_link, dependency='no', status='O', forced=1 WHERE name=@_name;
	END IF;
END|

DELIMITER ;
CALL SetEditable('useSharing', 1);
CALL SetEditable('homeDivs', 1);
CALL SetEditable('useGroup', 1);
CALL ActivePlugin('plugin piwik','plugin_piwik/plugin_piwik.php');

DROP PROCEDURE SetEditable;
DROP PROCEDURE ActivePlugin;
