#!/usr/bin/python
# -*- coding: UTF-8 -*-

import getopt,sys
from scribe import eolegroup
from scribe import eoleuser
from scribe.ldapconf import USER_DN, USER_FILTER, GROUP_FILTER


def GetAllGroupes():
	gr_types = ['Classe', 'Option', 'Groupe','Matiere', 'Equipe']
	for key in gr_types:
		sys.stdout.write( "<OPTGROUP LABEL='%s'>" % key)
		group_names = eolegroup.Group().get_groups(key)
		group_names.sort()
		for gr in group_names:
		    sys.stdout.write( "<OPTION value='%s'>%s</OPTION>" % (gr,gr) )
		sys.stdout.write( "</OPTGROUP>")


def GetGroupesForUser(login):
	
	user = eoleuser.User()
	user.ldap_admin.connect()
	#datas = user._get_attrs(login, [])
	#_type = user._get_ead_type(login)
	#user.ldap_admin.close()
	res = user.ldap_admin._search("(&%s(memberUid=%s))" % (GROUP_FILTER, login), 'cn')
        groups = []
        for group in res:
            groups.append(group[1]['cn'][0])
        groups.sort()

	user.ldap_admin.close()
       
	print ", ".join(groups)
	


try:
	opts, args = getopt.getopt(sys.argv[1:], "au:", ["all"])
except getopt.GetoptError, err:
	print str(err)
        sys.exit(2)

for option, value in opts:
        if option in ('-a', '--all'):
		GetAllGroupes()	

        if option in ('-u'):
		GetGroupesForUser(value)	



